package com.sobot.screencapturesdk.factory;

import android.content.Context;
import android.graphics.Point;

import com.oray.sunlogin.interfaces.IDisplayInfo;
import com.sobot.screencapturesdk.utils.DisplayUtils;

public class DisplayInfoFactory implements IDisplayInfo {

    private Context context;

    public DisplayInfoFactory(Context context) {
        this.context = context;
    }

    /**
     * 用户指定截屏的大小，可以自行修改
     * 获取屏幕分辨率大小
     * @return
     */
    @Override
    public Point getDisplaySize() {
//        return new Point(720, 1280);
        return DisplayUtils.getDisplaySize(context);
    }

    /**
     * 用户实际屏幕的分辨
     * 获取屏幕分辨率
     * @return 屏幕分辨率
     */
    @Override
    public Point getScreenSize() {
        return DisplayUtils.getScreenSize(context);
    }

    /**
     * 获取屏幕方向
     * @return 0 / 90 / 180 / 270
     */
    @Override
    public int getDisplayRotation() {
        return DisplayUtils.getDisplayRotation(context);
    }

    @Override
    public int getOrientation() {
        return DisplayUtils.getDisplayRotation(context);
    }
}
